# Media Video Micromodal

## Creates a formatter for a modal popup for remote videos.

### INTRODUCTION

This module uses the micromodal.js library to generate modal popup for remote
videos from the media module.  Specifically works with core media oembed
remote videos, that have the "field_media_oembed_video" field for the remote
video URL.  You may attach the modal to the thumbnail generated by the oembed
remote video, a custom uploaded thumbnail, the video name or video caption.

Lightweight and non-dependant on jQuery.

### REQUIREMENTS

- Drupal 8 or 9
- Drupal Media

### INSTALLATION

Steps for Setup:
- Enable the module.
- Manage the display settings for the "video" media bundle.
- Set up your desired configuration based on the use case.

### CONFIGURATION

To display the video thumbnail linking to the modal:
- Display the image field you wish to use for the thumbnail. "Thumnbnail" will
  generally be the oembed auto generated image.  You may also use a custom
  image field created on that media type.
- Set the "Format" to "Micromodal field formatter".
- Use the settings to select the image style for the thumbnail.

To display the media name linking to the modal:
- Display the "Name" field.
- Set the "Format" to "Micromodal field formatter".
- Use the settings to add additional styles to a &lt;span&gt; tag
  around the name.
- Check the optional "Caption Swap" to display the media caption instead of
  the media name.

Working with Views:
You can use this module with views by creating or using an existing view mode
for the content type and assigning the formatter.  Then inside the view use
"Rendered Entity" and use the content type view mode with
the micromodal formatter(s) set.

Working with CKEditor:
Make sure the "Embed media" filter has been checked for the text format that
CKEditor is using.  Under "Filter settings => Embed media" select the view
modes that have been set up to use the Micromodal are selected under "View
modes selectable". Insert the video using the "Insert from Media Library"
widget. "Edit Media" to select the display and check "Caption" if you are
using the "Caption Swap" feature on that display.

About micromodal.js:
https://micromodal.vercel.app/
Micromodal.js is a lightweight, configurable and a11y-enabled modal library
written in pure JavaScript
